Subject: Re: bug#51768: 29.0.50; User font settings are ignored (Win10)
From: Arash Esbati <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 13 Nov 2021 16:25:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Arash Esbati <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 11 Nov 2021 21:49:25 +0100
>> 
>> 
>> [1:text/plain Hide]
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > I think I figured it out.  It seems to be a cockpit error: the
>> > "Medium" part is not part of the :family, and you already say
>> > ":weight medium" in the attributes anyway.  Try this instead:
>> >
>> >  '(default ((t (:family "Source Code Pro" :foundry "outline" :slant
>> > normal :weight medium :height 90 :width normal))))
>> >
>> > With this, I get the same results as with an older Emacs.  It is true
>> > that the older Emacs also accepted "Source Code Pro Medium" as the
>> > family, but the result was that it loaded the same font as the master
>> > branch without "Medium".
>> >
>> > Does this resolve your issue?
>> 
>> No, it doesn't.  I updated my local git repo and built a fresh Emacs.
>> I'm comparing New (6c9ac53249) with Old (41b1fa05c7).
>> 
>> With '(default ((t (:family "Source Code Pro Medium" :foundry
>> "outline" :slant normal :weight medium :height 90 :width normal))))
>> 
>> - Old uses Source Code Pro Medium font (good)
>> - New uses Arial (bad)
>> 
>>  With '(default ((t (:family "Source Code Pro" :foundry "outline"
>> :slant normal :weight medium :height 90 :width normal))))
>> 
>> - Old uses Source Code Regular font (bad)
>> - New uses Source Code Regular font (bad)
>
> Should be fixed now.

Yes, it's fixed.  Many thanks for the quick fix.  I'm closing this
report.

Best, Arash